Based on Apache Ant Wait For:

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to You under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

author | Michiel Rook
version | $Id$
package | phing.tasks.system

### Methods

## addAvailable()

    addAvailable(\AvailableTask $a) : void

Inherited

inherited_from | \ConditionBase::addAvailable()

### Parameters

#### $a

## countConditions()

    countConditions()

Inherited

inherited_from | \ConditionBase::countConditions()

## createAnd()

    createAnd() : \AndCondition

Inherited

inherited_from | \ConditionBase::createAnd()

### Returns

`\AndCondition`

## createContains()

    createContains() : \ContainsCondition

Inherited

inherited_from | \ConditionBase::createContains()

### Returns

`\ContainsCondition`

## createEquals()

    createEquals() : \EqualsCondition

Inherited

inherited_from | \ConditionBase::createEquals()

### Returns

`\EqualsCondition`

## createIsFalse()

    createIsFalse() : \IsFalseCondition

Inherited

inherited_from | \ConditionBase::createIsFalse()

### Returns

`\IsFalseCondition`

## createIsSet()

    createIsSet() : \IsSetCondition

Inherited

inherited_from | \ConditionBase::createIsSet()

### Returns

`\IsSetCondition`

## createIsTrue()

    createIsTrue() : \IsTrueCondition

Inherited

inherited_from | \ConditionBase::createIsTrue()

### Returns

`\IsTrueCondition`

## createNot()

    createNot() : \NotCondition

Inherited

inherited_from | \ConditionBase::createNot()

### Returns

`\NotCondition`

## createOr()

    createOr() : \OrCondition

Inherited

inherited_from | \ConditionBase::createOr()

### Returns

`\OrCondition`

## createOs()

    createOs() : \OsCondition

Inherited

inherited_from | \ConditionBase::createOs()

### Returns

`\OsCondition`

## createReferenceExists()

    createReferenceExists() : \ReferenceExistsCondition

Inherited

inherited_from | \ConditionBase::createReferenceExists()

### Returns

`\ReferenceExistsCondition`

## Creates the object for the child element

    customChildCreator(string $elementName, \Project $project) : \Condition

Inherited

inherited_from | \ConditionBase::customChildCreator()

### Parameters

#### $elementName

`string`

#### $project

`\Project`

### Exceptions

`\BuildException` |

### Returns

`\Condition`

## getConditions()

    getConditions()

Inherited

inherited_from | \ConditionBase::getConditions()

## Required for IteratorAggregate

    getIterator()

Inherited

inherited_from | \ConditionBase::getIterator()

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()
inherited_from | \ConditionBase::getProject()

### Returns

`\Project`Reference to current porject object

## Logs a message with the given priority.

    log(string $msg, integer $level)

Inherited

inherited_from | \ProjectComponent::log()
inherited_from | \ConditionBase::log()

### Parameters

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## Check repeatedly for the specified conditions until they become true or the timeout expires.

    main()

### Exceptions

`\BuildException` |

## Set the time between each check

    setCheckEvery(int $checkEvery)

### Parameters

#### $checkEvery

`int`

## Set the check every time unit

    setCheckEveryUnit(string $checkEveryUnit)

### Parameters

#### $checkEveryUnit

`string`

## Set the maximum length of time to wait.

    setMaxWait(int $maxWait)

### Parameters

#### $maxWait

`int`

## Set the max wait time unit

    setMaxWaitUnit(string $maxWaitUnit)

### Parameters

#### $maxWaitUnit

`string`

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()
inherited_from | \ConditionBase::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

## Name of the property to set after a timeout.

    setTimeoutProperty(string $timeoutProperty)

### Parameters

#### $timeoutProperty

`string`

## Convert the unit to a multipler.

    _convertUnit(string $unit)

### Parameters

#### $unit

`string`

### Properties

##

    $conditions

Inherited

inherited_from | \ConditionBase::$$conditions

##

    $checkEvery

##

    $checkEveryMultiplier

##

    $maxWait

##

    $maxWaitMultiplier

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project
inherited_from | \ConditionBase::$$project

##

    $timeoutProperty

### Constants

## DEFAULT_CHECK_MILLIS

    DEFAULT_CHECK_MILLIS

## DEFAULT_MAX_WAIT_MILLIS

    DEFAULT_MAX_WAIT_MILLIS

## ONE_DAY

    ONE_DAY

## ONE_HOUR

    ONE_HOUR

## ONE_MILLISECOND

    ONE_MILLISECOND

## ONE_MINUTE

    ONE_MINUTE

## ONE_SECOND

    ONE_SECOND

## ONE_WEEK

    ONE_WEEK